- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomNamedNodeMap Class Reference

Search for all occurrences

## Detailed Description

Definition at line 362 of file qdom.h.

`#include <qdom.h>`

List of all members.

## Public Member Functions
| QDomNamedNodeMap ()
| QDomNamedNodeMap (const QDomNamedNodeMap &)
QDomNamedNodeMap & | operator= (const QDomNamedNodeMap &)
bool | operator== (const QDomNamedNodeMap &) const
bool | operator!= (const QDomNamedNodeMap &) const
| ~QDomNamedNodeMap ()
QDomNode | namedItem (const QString &name) const
QDomNode | setNamedItem (const QDomNode &newNode)
QDomNode | removeNamedItem (const QString &name)
QDomNode | item (int index) const
QDomNode | namedItemNS (const QString &nsURI, const QString &localName) const
QDomNode | setNamedItemNS (const QDomNode &newNode)
QDomNode | removeNamedItemNS (const QString &nsURI, const QString &localName)
uint | length () const
int | count () const
int | size () const
bool | isEmpty () const
bool | contains (const QString &name) const
## Friends
class | QDomNode
class | QDomDocumentType
class | QDomElement

## Constructor & Destructor Documentation

QDomNamedNodeMap | ( |  | ) |

QDomNamedNodeMap | ( | const QDomNamedNodeMap & |  | ) |

~QDomNamedNodeMap | ( |  | ) |

## Member Function Documentation

QDomNamedNodeMap& operator= | ( | const QDomNamedNodeMap & |  | ) |

bool operator== | ( | const QDomNamedNodeMap & |  | ) | const

bool operator!= | ( | const QDomNamedNodeMap & |  | ) | const

QDomNode namedItem | ( | const QString & | name | ) | const

Search for all occurrences

QDomNode setNamedItem | ( | const QDomNode & | newNode | ) |

Search for all occurrences

QDomNode removeNamedItem | ( | const QString & | name | ) |

Search for all occurrences

QDomNode item | ( | int | index | ) | const

Search for all occurrences

QDomNode namedItemNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  | const

Search for all occurrences

QDomNode setNamedItemNS | ( | const QDomNode & | newNode | ) |

Search for all occurrences

QDomNode removeNamedItemNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  |

Search for all occurrences

uint length | ( |  | ) | const

Search for all occurrences

int count | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 383 of file qdom.h.

    { return length(); } // Qt API consitancy

int size | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 384 of file qdom.h.

    { return length(); } // Qt API consistency

bool isEmpty | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 385 of file qdom.h.

    { return length() == 0; } // Qt API consistency

bool contains | ( | const QString & | name | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 394 of file qdom.h.

friend class QDomDocumentType `[friend]`

Search for all occurrences

Definition at line 395 of file qdom.h.

friend class QDomElement `[friend]`

Search for all occurrences

Definition at line 396 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap
QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap QDomNamedNodeMap